Cantera 2.6.0

Public Member Functions | Protected Attributes | List of all members
SurfaceArrhenius Class Reference

An Arrhenius rate with coverage-dependent terms. More...

`#include <RxnRates.h>`

## Public Member Functions
| SurfaceArrhenius (double A, double b, double Ta)
void | addCoverageDependence (size_t k, doublereal a, doublereal m, doublereal e)
| Add a coverage dependency for species k, with exponential dependence a, power-law exponent m, and activation energy dependence e, where e is in Kelvin, that is, energy divided by the molar gas constant. More...
void | update_C (const doublereal *theta)
doublereal | updateRC (doublereal logT, doublereal recipT) const
| Update the value of the rate constant. More...
doublereal | preExponentialFactor () const
| Return the pre-exponential factor A (in m, kmol, s to powers depending on the reaction order) accounting coverage dependence. More...
doublereal | temperatureExponent () const
| Return effective temperature exponent. More...
doublereal | activationEnergy_R () const
| Return the activation energy divided by the gas constant (that is, the activation temperature) [K], accounting coverage dependence. More...

## Protected Attributes
doublereal | m_b
doublereal | m_E
doublereal | m_A
doublereal | m_acov
doublereal | m_ecov
doublereal | m_mcov
std::vector< size_t > | m_sp
std::vector< size_t > | m_msp
vector_fp | m_ac
vector_fp | m_ec
vector_fp | m_mc

## Detailed Description

An Arrhenius rate with coverage-dependent terms.

The rate expression is given by [Kee, R. J., Coltrin, M. E., & Glarborg, P. (2005). Chemically reacting flow: theory and practice. John Wiley & Sons. Eq 11.113]:

\[ k_f = A T^b \exp \left( \ln 10 \sum a_k \theta_k - \frac{1}{RT} \left( E_a + \sum E_k\theta_k \right) + \sum m_k \ln \theta_k \right) \]

or, equivalently, and as implemented in Cantera,

\[ k_f = A T^b \exp \left( - \frac{E_a}{RT} \right) \prod_k 10^{a_k \theta_k} \theta_k^{m_k} \exp \left( \frac{- E_k \theta_k}{RT} \right) \]

where the parameters \( (a_k, E_k, m_k) \) describe the dependency on the surface coverage of species \(k, \theta_k \).

Deprecated:
  To be removed after Cantera 2.6. See InterfaceRate and StickingRate.

Definition at line 134 of file RxnRates.h.

## Constructor & Destructor Documentation

## ◆ SurfaceArrhenius() [1/2]

SurfaceArrhenius | ( |  | ) |

Definition at line 66 of file RxnRates.cpp.

## ◆ SurfaceArrhenius() [2/2]

SurfaceArrhenius | ( | double | A,
|  | double | b,
|  | double | Ta
| ) |  |
| explicit

Definition at line 76 of file RxnRates.cpp.

## Member Function Documentation

## ◆ addCoverageDependence()

void addCoverageDependence | ( | size_t | k,
|  | doublereal | a,
|  | doublereal | m,
|  | doublereal | e
| ) |  |

Add a coverage dependency for species k, with exponential dependence a, power-law exponent m, and activation energy dependence e, where e is in Kelvin, that is, energy divided by the molar gas constant.

Definition at line 86 of file RxnRates.cpp.

Referenced by InterfaceKinetics::buildSurfaceArrhenius().

## ◆ update_C()

void update_C | ( | const doublereal * | theta | ) |
| inline

Definition at line 147 of file RxnRates.h.

## ◆ updateRC()

doublereal updateRC | ( | doublereal | logT,
|  | doublereal | recipT
| ) |  | const
| inline

Update the value of the rate constant.

This function returns the actual value of the rate constant. It can be safely called for negative values of the pre-exponential factor.

Definition at line 171 of file RxnRates.h.

## ◆ preExponentialFactor()

doublereal preExponentialFactor | ( |  | ) | const
| inline

Return the pre-exponential factor A (in m, kmol, s to powers depending on the reaction order) accounting coverage dependence.

Returns reaction pre-exponent accounting for both a and m.

Definition at line 181 of file RxnRates.h.

## ◆ temperatureExponent()

doublereal temperatureExponent | ( |  | ) | const
| inline

Return effective temperature exponent.

Definition at line 186 of file RxnRates.h.

## ◆ activationEnergy_R()

doublereal activationEnergy_R | ( |  | ) | const
| inline

Return the activation energy divided by the gas constant (that is, the activation temperature) [K], accounting coverage dependence.

Definition at line 192 of file RxnRates.h.

## Member Data Documentation

## ◆ m_b

doublereal m_b
| protected

Definition at line 197 of file RxnRates.h.

## ◆ m_E

doublereal m_E
| protected

Definition at line 197 of file RxnRates.h.

## ◆ m_A

doublereal m_A
| protected

Definition at line 197 of file RxnRates.h.

## ◆ m_acov

doublereal m_acov
| protected

Definition at line 198 of file RxnRates.h.

## ◆ m_ecov

doublereal m_ecov
| protected

Definition at line 198 of file RxnRates.h.

## ◆ m_mcov

doublereal m_mcov
| protected

Definition at line 198 of file RxnRates.h.

## ◆ m_sp

std::vector<size_t> m_sp
| protected

Definition at line 199 of file RxnRates.h.

## ◆ m_msp

std::vector<size_t> m_msp
| protected

Definition at line 199 of file RxnRates.h.

## ◆ m_ac

vector_fp m_ac
| protected

Definition at line 200 of file RxnRates.h.

## ◆ m_ec

vector_fp m_ec
| protected

Definition at line 200 of file RxnRates.h.

## ◆ m_mc

vector_fp m_mc
| protected

Definition at line 200 of file RxnRates.h.

The documentation for this class was generated from the following files:

- RxnRates.h
- RxnRates.cpp